diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/post.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/post.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/js/post.js	2013-01-22 12:07:38.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/post.js	2013-06-28 20:31:44.000000000 -0500
***************
*** 251,263 ****
  	);
  };
  
! })(jQuery);
  
  jQuery(document).ready( function($) {
  	var stamp, visibility, sticky = '', last = 0, co = $('#content');
  
  	postboxes.add_postbox_toggles(pagenow);
  
  	// multi-taxonomies
  	if ( $('#tagsdiv-post_tag').length ) {
  		tagBox.init();
--- 251,376 ----
  	);
  };
  
! $(document).on( 'heartbeat-send.refresh-lock', function( e, data ) {
! 	var lock = $('#active_post_lock').val(),
! 		post_id = $('#post_ID').val(),
! 		send = {};
! 
! 	if ( ! post_id || ! $('#post-lock-dialog').length )
! 		return;
! 
! 	send['post_id'] = post_id;
! 
! 	if ( lock )
! 		send['lock'] = lock;
! 
! 	data['wp-refresh-post-lock'] = send;
! });
! 
! // Post locks: update the lock string or show the dialog if somebody has taken over editing
! $(document).on( 'heartbeat-tick.refresh-lock', function( e, data ) {
! 	var received, wrap, avatar;
! 
! 	if ( data['wp-refresh-post-lock'] ) {
! 		received = data['wp-refresh-post-lock'];
! 
! 		if ( received.lock_error ) {
! 			// show "editing taken over" message
! 			wrap = $('#post-lock-dialog');
! 
! 			if ( wrap.length && ! wrap.is(':visible') ) {
! 				if ( typeof autosave == 'function' ) {
! 					$(document).on('autosave-disable-buttons.post-lock', function() {
! 						wrap.addClass('saving');
! 					}).on('autosave-enable-buttons.post-lock', function() {
! 						wrap.removeClass('saving').addClass('saved');
! 						window.onbeforeunload = null;
! 					});
! 
! 					// Save the latest changes and disable
! 					if ( ! autosave() )
! 						window.onbeforeunload = null;
! 
! 					autosave = function(){};
! 				}
! 
! 				if ( received.lock_error.avatar_src ) {
! 					avatar = $('<img class="avatar avatar-64 photo" width="64" height="64" />').attr( 'src', received.lock_error.avatar_src.replace(/&amp;/g, '&') );
! 					wrap.find('div.post-locked-avatar').empty().append( avatar );
! 				}
! 
! 				wrap.show().find('.currently-editing').text( received.lock_error.text );
! 				wrap.find('.wp-tab-first').focus();
! 			}
! 		} else if ( received.new_lock ) {
! 			$('#active_post_lock').val( received.new_lock );
! 		}
! 	}
! });
! 
! }(jQuery));
! 
! (function($) {
! 	var check, timeout;
! 
! 	function schedule() {
! 		check = false;
! 		window.clearTimeout( timeout );
! 		timeout = window.setTimeout( function(){ check = true; }, 300000 );
! 	}
! 
! 	$(document).on( 'heartbeat-send.wp-refresh-nonces', function( e, data ) {
! 		var nonce, post_id;
! 
! 		if ( check ) {
! 			if ( ( post_id = $('#post_ID').val() ) && ( nonce = $('#_wpnonce').val() ) ) {
! 				data['wp-refresh-post-nonces'] = {
! 					post_id: post_id,
! 					post_nonce: nonce
! 				};
! 			}
! 		}
! 	}).on( 'heartbeat-tick.wp-refresh-nonces', function( e, data ) {
! 		var nonces = data['wp-refresh-post-nonces'];
! 
! 		if ( nonces ) {
! 			schedule();
! 
! 			if ( nonces.replace ) {
! 				$.each( nonces.replace, function( selector, value ) {
! 					$( '#' + selector ).val( value );
! 				});
! 			}
! 
! 			if ( nonces.heartbeatNonce )
! 				window.heartbeatSettings.nonce = nonces.heartbeatNonce;
! 		}
! 	}).ready( function() {
! 		schedule();
! 	});
! }(jQuery));
  
  jQuery(document).ready( function($) {
  	var stamp, visibility, sticky = '', last = 0, co = $('#content');
  
  	postboxes.add_postbox_toggles(pagenow);
  
+ 	// Post locks: contain focus inside the dialog. If the dialog is shown, focus the first item.
+ 	$('#post-lock-dialog .notification-dialog').on( 'keydown', function(e) {
+ 		if ( e.which != 9 )
+ 			return;
+ 
+ 		var target = $(e.target);
+ 
+ 		if ( target.hasClass('wp-tab-first') && e.shiftKey ) {
+ 			$(this).find('.wp-tab-last').focus();
+ 			e.preventDefault();
+ 		} else if ( target.hasClass('wp-tab-last') && ! e.shiftKey ) {
+ 			$(this).find('.wp-tab-first').focus();
+ 			e.preventDefault();
+ 		}
+ 	}).filter(':visible').find('.wp-tab-first').focus();
+ 
  	// multi-taxonomies
  	if ( $('#tagsdiv-post_tag').length ) {
  		tagBox.init();
***************
*** 272,278 ****
  
  	// categories
  	$('.categorydiv').each( function(){
! 		var this_id = $(this).attr('id'), noSyncChecks = false, syncChecks, catAddAfter, taxonomyParts, taxonomy, settingName;
  
  		taxonomyParts = this_id.split('-');
  		taxonomyParts.shift();
--- 385,391 ----
  
  	// categories
  	$('.categorydiv').each( function(){
! 		var this_id = $(this).attr('id'), catAddBefore, catAddAfter, taxonomyParts, taxonomy, settingName;
  
  		taxonomyParts = this_id.split('-');
  		taxonomyParts.shift();
***************
*** 302,322 ****
  
  		$('#new' + taxonomy).keypress( function(event){
  			if( 13 === event.keyCode ) {
! 				 event.preventDefault();
! 				 $('#' + taxonomy + '-add-submit').click();
  			}
  		});
  		$('#' + taxonomy + '-add-submit').click( function(){ $('#new' + taxonomy).focus(); });
  
- 		syncChecks = function() {
- 			if ( noSyncChecks )
- 				return;
- 			noSyncChecks = true;
- 			var th = jQuery(this), c = th.is(':checked'), id = th.val().toString();
- 			$('#in-' + taxonomy + '-' + id + ', #in-' + taxonomy + '-category-' + id).prop( 'checked', c );
- 			noSyncChecks = false;
- 		};
- 
  		catAddBefore = function( s ) {
  			if ( !$('#new'+taxonomy).val() )
  				return false;
--- 415,426 ----
  
  		$('#new' + taxonomy).keypress( function(event){
  			if( 13 === event.keyCode ) {
! 				event.preventDefault();
! 				$('#' + taxonomy + '-add-submit').click();
  			}
  		});
  		$('#' + taxonomy + '-add-submit').click( function(){ $('#new' + taxonomy).focus(); });
  
  		catAddBefore = function( s ) {
  			if ( !$('#new'+taxonomy).val() )
  				return false;
***************
*** 349,355 ****
  			return false;
  		});
  
! 		$('#' + taxonomy + 'checklist li.popular-category input[type="checkbox"], #' + taxonomy + 'checklist-pop input[type="checkbox"]').live( 'click', function(){
  			var t = $(this), c = t.is(':checked'), id = t.val();
  			if ( id && t.parents('#taxonomy-'+taxonomy).length )
  				$('#in-' + taxonomy + '-' + id + ', #in-popular-' + taxonomy + '-' + id).prop( 'checked', c );
--- 453,459 ----
  			return false;
  		});
  
! 		$('#' + taxonomy + 'checklist, #' + taxonomy + 'checklist-pop').on( 'click', 'li.popular-category > label input[type="checkbox"]', function() {
  			var t = $(this), c = t.is(':checked'), id = t.val();
  			if ( id && t.parents('#taxonomy-'+taxonomy).length )
  				$('#in-' + taxonomy + '-' + id + ', #in-popular-' + taxonomy + '-' + id).prop( 'checked', c );
***************
*** 423,433 ****
  			} else {
  				$('#timestamp').html(
  					publishOn + ' <b>' +
! 					$('option[value="' + $('#mm').val() + '"]', '#mm').text() + ' ' +
! 					jj + ', ' +
! 					aa + ' @ ' +
! 					hh + ':' +
! 					mn + '</b> '
  				);
  			}
  
--- 527,538 ----
  			} else {
  				$('#timestamp').html(
  					publishOn + ' <b>' +
! 					postL10n.dateFormat.replace( '%1$s', $('option[value="' + $('#mm').val() + '"]', '#mm').text() )
! 						.replace( '%2$s', jj )
! 						.replace( '%3$s', aa )
! 						.replace( '%4$s', hh )
! 						.replace( '%5$s', mn )
! 					+ '</b> '
  				);
  			}
  
***************
*** 478,484 ****
  		$('.cancel-post-visibility', '#post-visibility-select').click(function () {
  			$('#post-visibility-select').slideUp('fast');
  			$('#visibility-radio-' + $('#hidden-post-visibility').val()).prop('checked', true);
! 			$('#post_password').val($('#hidden_post_password').val());
  			$('#sticky').prop('checked', $('#hidden-post-sticky').prop('checked'));
  			$('#post-visibility-display').html(visibility);
  			$('.edit-visibility', '#visibility').show();
--- 583,589 ----
  		$('.cancel-post-visibility', '#post-visibility-select').click(function () {
  			$('#post-visibility-select').slideUp('fast');
  			$('#visibility-radio-' + $('#hidden-post-visibility').val()).prop('checked', true);
! 			$('#post_password').val($('#hidden-post-password').val());
  			$('#sticky').prop('checked', $('#hidden-post-sticky').prop('checked'));
  			$('#post-visibility-display').html(visibility);
  			$('.edit-visibility', '#visibility').show();
***************
*** 593,599 ****
  					new_title: $('#title').val(),
  					samplepermalinknonce: $('#samplepermalinknonce').val()
  				}, function(data) {
! 					$('#edit-slug-box').html(data);
  					b.html(revert_b);
  					real_slug.val(new_slug);
  					makeSlugeditClickable();
--- 698,710 ----
  					new_title: $('#title').val(),
  					samplepermalinknonce: $('#samplepermalinknonce').val()
  				}, function(data) {
! 					var box = $('#edit-slug-box');
! 					box.html(data);
! 					if (box.hasClass('hidden')) {
! 						box.fadeIn('fast', function () {
! 							box.removeClass('hidden');
! 						});
! 					}
  					b.html(revert_b);
  					real_slug.val(new_slug);
  					makeSlugeditClickable();
***************
*** 616,622 ****
  			}
  
  			slug_value = ( c > full.length / 4 ) ? '' : full;
! 			e.html('<input type="text" id="new-post-slug" value="'+slug_value+'" />').children('input').keypress(function(e){
  				var key = e.keyCode || 0;
  				// on enter, just save the new slug, don't save the post
  				if ( 13 == key ) {
--- 727,733 ----
  			}
  
  			slug_value = ( c > full.length / 4 ) ? '' : full;
! 			e.html('<input type="text" id="new-post-slug" value="'+slug_value+'" />').children('input').keypress(function(e) {
  				var key = e.keyCode || 0;
  				// on enter, just save the new slug, don't save the post
  				if ( 13 == key ) {
***************
*** 627,632 ****
--- 738,744 ----
  					b.children('.cancel').click();
  					return false;
  				}
+ 			}).keyup(function(e) {
  				real_slug.val(this.value);
  			}).focus();
  		}
***************
*** 790,794 ****
--- 902,921 ----
  				});
  			});
  		});
+ 
+ 		// When changing post formats, change the editor body class
+ 		$('#post-formats-select input.post-format').on( 'change.set-editor-class', function( event ) {
+ 			var editor, body, format = this.id;
+ 
+ 			if ( format && $( this ).prop('checked') ) {
+ 				editor = tinymce.get( 'content' );
+ 
+ 				if ( editor ) {
+ 					body = editor.getBody();
+ 					body.className = body.className.replace( /\bpost-format-[^ ]+/, '' );
+ 					editor.dom.addClass( body, format == 'post-format-0' ? 'post-format-standard' : format );
+ 				}
+ 			}
+ 		});
  	}
  });
